#!/usr/bin/python
# use: cmd_make_ndx.py alignment.fasta
# Version 0.11
import sys
class fasta:
	def __init__(self,filename):
		self.secuencias=[]
		self.f_in=open(filename,"r")
		self.lines=self.f_in.readlines()
		for i in range(len(self.lines)):
			if ">" in self.lines[i]:
				self.secuencias.append(self.lines[i+1])
		self.sec_num=[]
		for i in self.secuencias:
			self.sec_list=list(i)
			self.sec_num_t=[]
			self.cont=1
			for j in self.sec_list:
				if j == "-":
					self.sec_num_t.append(0)
		
				elif j!="\n":
					self.sec_num_t.append(self.cont)
					self.cont=self.cont+1
			self.sec_num.append(self.sec_num_t)
	def crea_ndx(self, n1=0, n2=1):
		self.ln=[]
		self.ln.append(list(self.secuencias[n1]))
		self.ln.append(list(self.secuencias[n2]))
		self.cmd=["",""]
		self.cont=0
		for i in self.ln:
			if self.cont==0:
				self.comando=1
				self.num=n2
			if self.cont==1:
				self.comando=0
				self.num=n1
			self.cont=self.cont+1
			self.gap=False
			self.cmd[self.comando]="3 "
			for j in range(len(i)):
				if i[j]=="-" and not self.gap:
					self.cmd[self.comando]=self.cmd[self.comando]+"& !r "+str(self.sec_num[self.num][j])
					self.gap=True
					self.gap_start=j
				if i[j]!="-" and self.gap:
					self.gap=False
					if self.gap_start==j-1:
						self.cmd[self.comando]=self.cmd[self.comando]+" "
						continue
					self.cmd[self.comando]=self.cmd[self.comando]+"-"+str(self.sec_num[self.num][j-1])+" "
			self.cmd[self.comando]=self.cmd[self.comando]+"\n"
		print "Command for sequence ", n1
		print self.cmd[0]
		print "Command for sequence ", n2
		print self.cmd[1]
		
		
			
filename=sys.argv[1]


alin=fasta(filename)

alin.crea_ndx()
			
				
			
	
